import { ServiceAccount } from "firebase-admin/app";
import { DocumentData } from "firebase-admin/firestore";
export { ServiceAccount };
export type StringLike = string | (() => string);
export type NumberLike = number | (() => number);
export declare const initialize: (config: ServiceAccount) => Promise<void>;
export declare function addData(collectionName: StringLike, documentName: StringLike, dataObj: {}): Promise<Boolean>;
export declare function getData(collectionName: StringLike, documentName: StringLike): Promise<DocumentData | Boolean>;
export declare function deleteDocument(collectionName: StringLike, documentName: StringLike): Promise<Boolean>;
export declare function deleteCollection(collectionName: StringLike, batchSize: NumberLike): Promise<Boolean>;
